package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;

public interface ClassDirector extends ClassResponder
{
	void beginBroadcast();

	response_code accept(ETLTestClass cl);

	response_code accept(ETLTestMethod mt);

	response_code accept(ETLTestOperation op);

	void endBroadcast();
}